tbb::interface6::internal::aggregator< handler_type, operation_type > Class Template Reference

`#include <_aggregator_impl.h>`

Inheritance diagram for tbb::interface6::internal::aggregator< handler_type, operation_type >:
Collaboration diagram for tbb::interface6::internal::aggregator< handler_type, operation_type >:

## Public Member Functions

| aggregator ()
| aggregator (handler_type h)
void | initialize_handler (handler_type h)
void | execute (operation_type *op)
Public Member Functions inherited from tbb::interface6::internal::aggregator_generic< operation_type >
| aggregator_generic ()
template<typename handler_type >
void | execute (operation_type *op, handler_type &handle_operations, bool long_life_time=true)
| Execute an operation. More...

## Private Attributes

handler_type | handle_operations

## Detailed Description

### template<typename handler_type, typename operation_type>
class tbb::interface6::internal::aggregator< handler_type, operation_type >

Definition at line 144 of file _aggregator_impl.h.

## Constructor & Destructor Documentation

## aggregator() [1/2]

template<typename handler_type, typename operation_type>

tbb::interface6::internal::aggregator< handler_type, operation_type >::aggregator | ( |  | ) |

inline

Definition at line 147 of file _aggregator_impl.h.

{}

## aggregator() [2/2]

template<typename handler_type, typename operation_type>

tbb::interface6::internal::aggregator< handler_type, operation_type >::aggregator | ( | handler_type | h | ) |

inline explicit

Definition at line 148 of file _aggregator_impl.h.

: handle_operations(h) {}

## Member Function Documentation

## execute()

template<typename handler_type, typename operation_type>

void tbb::interface6::internal::aggregator< handler_type, operation_type >::execute | ( | operation_type * | op | ) |

inline

Definition at line 152 of file _aggregator_impl.h.

{
aggregator_generic<operation_type>::execute(op, handle_operations);
}

Referenced by internal::join_node_base< JP, InputTuple, OutputTuple >::forward_task(), internal::join_node_FE< key_matching< K, KHash >, InputTuple, OutputTuple >::increment_key_count(), tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::operator[](), internal::join_node_base< JP, InputTuple, OutputTuple >::register_successor(), internal::join_node_base< JP, InputTuple, OutputTuple >::remove_successor(), internal::join_node_FE< key_matching< K, KHash >, InputTuple, OutputTuple >::reset_port_count(), tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::signal_end_of_usage(), internal::join_node_base< JP, InputTuple, OutputTuple >::try_get(), internal::join_node_FE< key_matching< K, KHash >, InputTuple, OutputTuple >::try_to_make_tuple(), and internal::join_node_FE< key_matching< K, KHash >, InputTuple, OutputTuple >::tuple_build_may_succeed().

Here is the caller graph for this function:

## initialize_handler()

template<typename handler_type, typename operation_type>

void tbb::interface6::internal::aggregator< handler_type, operation_type >::initialize_handler | ( | handler_type | h | ) |

inline

Definition at line 150 of file _aggregator_impl.h.

{ handle_operations = h; }

Referenced by tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::concurrent_lru_cache(), internal::join_node_base< JP, InputTuple, OutputTuple >::join_node_base(), and internal::join_node_FE< key_matching< K, KHash >, InputTuple, OutputTuple >::join_node_FE().

Here is the caller graph for this function:

## Member Data Documentation

## handle_operations

template<typename handler_type, typename operation_type>

handler_type tbb::interface6::internal::aggregator< handler_type, operation_type >::handle_operations

private

Definition at line 145 of file _aggregator_impl.h.

The documentation for this class was generated from the following file:

- _aggregator_impl.h

tbb::interface6::internal::aggregator::handle_operations
handler_type handle_operations
Definition: _aggregator_impl.h:145
tbb::interface6::internal::aggregator_generic::execute
void execute(operation_type *op, handler_type &handle_operations, bool long_life_time=true)
Execute an operation.
Definition: _aggregator_impl.h:64
h
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d void ITT_FORMAT p void ITT_FORMAT p __itt_model_site __itt_model_site_instance ITT_FORMAT p __itt_model_task __itt_model_task_instance ITT_FORMAT p void ITT_FORMAT p void ITT_FORMAT p void size_t ITT_FORMAT d void ITT_FORMAT p const wchar_t ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s no args void ITT_FORMAT p size_t ITT_FORMAT d no args const wchar_t const wchar_t ITT_FORMAT s __itt_heap_function h
Definition: ittnotify_static.h:159

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.